Subject: [PATCH 1/2] pinctrl: add sleep mode management for hogs

From: [email-masked] (Julien DELACOU)
Date: Thu, 13 Dec 2012 09:18:48 +0100

On 12/12/2012 08:31 PM, Linus Walleij wrote:
> On Tue, Dec 11, 2012 at 10:11 PM, Stephen Warren<[email-masked]>  wrote:
>
>> Since I assume those function are only supposed to be used by pinctrl
>> drivers themselves, should the prototypes go into drivers/pinctrl/core.h
>> or similar, rather than something in include/linux/pinctrl?
> Good point, Julien can you fix this?
Sure, I will.
>
> Hm, maybe pinctrl_force_sleep()/default() isn't such a good name,
> maybe it should be pinctrl_hogs_sleep()/pinctrl_hogs_default() intead?
>
>> Oh, and don't you need EXPORT_SYMBOL in case the pinctrl driver is a module?
> True.
I will do it too.
>
>> Aside from that,
>>
>> Reviewed-by: Stephen Warren<[email-masked]>
> Thanks.
>
> Yours,
> Linus Walleij
Thanks a lot.

Regards,
Julien